# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91"
name = "sui-id-web"
version = "0.26.0"
authors = ["nabbisen <nabbisen@scqr.net>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Server-rendered admin and setup UI (Leptos SSR) for sui-id, a self-hosted Rust OIDC provider."
homepage = "https://github.com/nabbisen/sui-id"
readme = "README.md"
keywords = [
    "oidc",
    "oauth2",
    "idaas",
    "identity",
    "authentication",
]
categories = [
    "authentication",
    "web-programming::http-server",
]
license = "Apache-2.0"
repository = "https://github.com/nabbisen/sui-id"

[lib]
name = "sui_id_web"
path = "src/lib.rs"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.leptos]
version = "0.8"
features = ["ssr"]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.sui-id-i18n]
version = "0.26.0"

[dependencies.sui-id-shared]
version = "0.26.0"

[lints.clippy]
expect_used = "warn"
panic = "warn"
todo = "warn"
unimplemented = "warn"
unwrap_used = "warn"

[lints.rust]
unsafe_code = "forbid"
unused_must_use = "deny"
